﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * The genetic algorithm components, i.e. selection, crossover,
     * mutation operators and others, whose state depends on the 
     * configuration should implement this interface.
     */
    public interface IConfigurationDependent
    {
        /**
         * Invoked when the genetic algorithm is about to be
         * executed. It gives a chance to the components that
         * implements this interface to make appropriate settings.
         * 
         * @param configuration The configuration the component
         *                      depends on.
         */
        void notify(CConfiguration configuration) ;
    }
}
