﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * Defines a fitness comparison method for two chromosomes 
     * (objects implementing IChromosome interface).
     */
    public interface IFitnessComparer : IComparer<IChromosome>
    {
        /**
         * Compares the specified couple of chromosomes and determines
         * which one of them is more fit.
         * 
         * @param x The first chromosome to be compared.
         * @param y The second chromosome to be compared.
         * 
         * @return -1 when x is more fit then y, 1 when y is more fit
         *         then x, and 0 when they are equally fit.
         */
        new int Compare(IChromosome x, IChromosome y) ;
    }
}
