﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * Mutation operator is one of the tools of evolution. It is applied to
     * a single chromosome, whose genes are altered accordingly, making a new 
     * (hopefully better) chromosome, which then goes to the next generation.
     */
    public interface IMutationOperator
    {
        /**
         * Mutates the specified chromosome in a operator-specific way forming 
         * a new chromosome, which will then go to the next generation.
         * 
         * @param chromosome The chromosome to be mutated.
         */
        void apply(IChromosome chromosome) ;
    }
}
