﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/**
 * Contains the representation of Mixed-Criticality Job, Mixed-Criticality Instance,
 * several methods for their random generation, and mainly few algorithms to solve
 * Mixed-Criticality Scheduling Problem.
 */
namespace MCScheduling.MixedCriticality
{
    /**
     * An interface for an algorithn solving mixed-criticality
     * instances.
     */
    public interface IMixedCriticalitySolver
    {
        /**
         * Solves the specified mixed-criticality instance.
         * 
         * @param instance The mixed-criticality instance 
         *                 to be solved.
         */
        void solve(CMixedCriticalityInstance instance) ;
    }
}
